---
title: GTIN/ISBN/UPC/EAN to EPID Lookups
slug: countdownapi/ebay-product-data-api/reference/gtin-upc-ean-to-epid
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# GTIN/ISBN/UPC/EAN to EPID Lookups

Countdown API allows you to retrieve Ebay product data by GTIN, ISBN, UPC or EAN code when making a  `type=product`  query. There is no additional charge for this service.

To lookup Ebay product data by GTIN, ISBN, UPC or EAN code you simply use the  `gtin`  parameter instead of the  `epid`  when making a  `type=product`  request.

When the  `gtin`  parameter is supplied Countdown API will attempt to look up the GTIN/ISBN/UPC/EAN on the Ebay domain supplied in the  `ebay_domain`  parameter, before then retrieving product details for the resultant EPID. It is important that if you are looking up a GTIN/ISBN/UPC/EAN you supply the correct Ebay domain in the  `ebay_domain`  parameter - i.e.  `ebay.co.uk`  in the example below for the UK-issued EAN of  `5702015866637` .

`type=product&ebay_domain=ebay.co.uk&gtin=5702015866637`

The full Ebay Product Data API request would be:

:::CodeblockTabs
HTTP

```none
https://api.countdownapi.com/request?api_key=demo&type=product&ebay_domain=ebay.co.uk&gtin=5702015866637
```
:::

***

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/parameters/common)
